<div class="contentRightB">

    <div class="contentFull left filler-bottom">
        <h3>{{ 'World.Country.Citizenships' | translate }}</h3>

        <div *ngIf="canRequest" nz-row nzGutter="12" nzType="flex" nzJustify="space-around" style="margin-bottom: 10px">
            <div nz-col nzSpan="18">
                <h4>Apply for citizenship</h4>
                <textarea rows="4" nz-input [(ngModel)]="applyReason" placeholder="Reason..."></textarea>
            </div>
            <div nz-col nzSpan="5">
                <button nz-button nzType="primary" [nzLoading]="isLoading[1]" (click)="apply()">Request
                    citizenship</button>
            </div>
        </div>

        <div class="content-holder filler-bottom">
            <h4>{{ 'World.Country.CitizenshipRequests' | translate }}</h4>
            <nz-spin nzTip="Loading..." [nzSpinning]="isLoading[0]">
                <div *ngIf="requestedTotalEntries > 0" class="countryCit">
                    <table class="cit tableColor smaller">
                        <thead>
                            <tr>
                                <th></th>
                                <th></th>
                                <th>{{ 'World.Country.CsMessage' | translate }}</th>
                                <th>Requested at</th>
                                <th>Expires at</th>
                                <th></th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr *ngFor="let item of citizenshipsRequests">
                                <td>
                                    <a href="{{hostUrl}}/citizen/{{item.citizenshipRequester.entityId}}"
                                        target="_blank">
                                        <img src="{{hostUrl}}/{{item.citizenshipRequester.avatarLocation}}">
                                    </a>
                                </td>
                                <td>
                                    <a target="_blank"
                                        href='{{hostUrl}}/citizen/{{item.citizenshipRequester.entityId}}'>{{ item.citizenshipRequester.name }}</a>
                                </td>
                                <td>
                                    <p>{{ item.reason }}</p>
                                </td>
                                <td>Day {{ item.requestedGameDay }}</td>
                                <td>Day {{ item.expireGameDay }}</td>
                                <td>
                                    <div *ngIf="canDecide">
                                        <input class="smBtn blButton small" type="button" value="Approve"
                                            (click)="manage(item.id, 2)" style="border:none;">
                                        <input class="smBtn rdButton small" type="button" value="Decline"
                                            (click)="manage(item.id, 3)" style="border:none;">
                                    </div>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                    <nz-pagination [(nzPageIndex)]="requestedPage" [nzTotal]="requestedTotalEntries"
                        (nzPageIndexChange)="loadRequestList()"></nz-pagination>
                </div>
            </nz-spin>
            <p *ngIf="requestedTotalEntries == 0">{{ 'Military.War.NoCsInfo' | translate }}</p>
        </div>
        <div class="content-holder filler-bottom">
            <h4>Past requests</h4>
            <nz-spin nzTip="Loading..." [nzSpinning]="isLoading[0]">

                <div *ngIf="decidedTotalEntries > 0" class="countryCit">
                    <table class="cit tableColor smaller" style="margin-bottom: 5px;">
                        <thead>
                            <tr>
                                <th></th>
                                <th></th>
                                <th>{{ 'World.Country.CsMessage' | translate }}</th>
                                <th>Decision</th>
                                <th>Decision date</th>
                                <th>Decision by</th>
                                <th style="display:none"></th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr *ngFor="let item of decidedList">
                                <td>
                                    <a href="{{hostUrl}}/citizen/{{item.citizenshipRequester.entityId}}" target="_blank">
                                        <img src="{{hostUrl}}/{{item.citizenshipRequester.avatarLocation}}">
                                    </a>
                                </td>
                                <td>
                                    <a target="_blank" href='{{hostUrl}}/citizen/{{item.citizenshipRequester.entityId}}'>{{ item.citizenshipRequester.name }}</a>
                                </td>
                                <td>
                                    <p>{{ item.reason }}</p>
                                </td>
                                <td>{{ item.statusName }}</td>
                                <td>Day {{ item.decisionGameDay }}</td>
                                <td>
                                    <a target="_blank" href='{{hostUrl}}/citizen/{{item.citizenshipApprover.entityId}}'>{{ item.citizenshipApprover.name }}</a>
                                </td>
                                <td style="display:none"></td>
                            </tr>
                        </tbody>
                    </table>
                    <nz-pagination [(nzPageIndex)]="decidedPage" [nzTotal]="decidedTotalEntries"
                        (nzPageIndexChange)="loadDecidedList()"></nz-pagination>
                </div>
            </nz-spin>
            <p *ngIf="decidedTotalEntries == 0">{{ 'World.Country.NoAppCs' | translate }}</p>
        </div>
    </div>
</div>
<div class="clear"></div>